Contents | Prev | Next | Java Core Reflection

# The interface java.lang.reflect.Member

        package java.lang.reflect;

        public interface Member

The `Member` interface reflects identifying information about a class or interface member or constructor.

## Fields

### PUBLIC

        public final static int PUBLIC

Identifies the public members of a class or interface.

This is used by class `SecurityManager` when determining security policy.

### DECLARED

        public final static int DECLARED

Identifies the declared members of a class or interface.

This is used by class `SecurityManager` when determining security policy.

## Methods

### getDeclaringClass

        public abstract Class getDeclaringClass()

Returns the `Class` object representing the class or interface that declares this member or constructor.

### getName

        public abstract String getName()

Returns the name of this member or constructor, as a `String`. The member or constructor name does not include the name of its declaring class or interface.

### getModifiers

        public abstract int getModifiers()

Returns the Java language modifiers for this member or constructor, encoded in an integer. The `Modifier` class should be used to decode the modifiers.

The modifier encodings are defined in The Java Virtual Machine Specification, Tables 4.1, 4.3, and 4.4.

Contents | Prev | Next

Copyright © 1996, 1997 Sun Microsystems, Inc. All rights reserved.